scanloc: Phase Associator 2025.296#76adc9190

# Global parameters

The SeisComP configuration uses a unified schema to configure modules. Modules which use the SeisComP libraries can read this configuration directly and share global configuration options like messaging connections, database configurations, logging and much more. There are still some modules that do not use the libraries and are called standalone modules such as seedlink and slarchive. They need wrappers to generate their native configuration when seiscomp update-config is run.

Global parameters can be used by many modules. Thus multiple configuration can be avoided. The parameters are read from file in the following order:

1. `@SYSTEMCONFIGDIR@/global.cfg`

2. `@CONFIGDIR@/global.cfg`

Parameters from `@CONFIGDIR@` override parameters from `@SYSTEMCONFIGDIR@`.

Most trunk modules read the configuration from the global configuration which can be overridden by the module configuration. Read the concept section on modules and the concept section on the configuration for more details.

Though it is easy to create the configuration by directly editing the configuration files, it is even more convenient to use a graphical configuration tool. SeisComP ships with scconfig, a graphical configuration and management tool which makes it easy to maintain module configurations and station bindings even for large networks. It has built-in functionality to check the state of all registered modules and to start and stop them.

The configuration is divided into three parts: stations, modules and bindings.

## Station meta data

Station meta-data is a fundamental requirement for a seismic processing system and for SeisComP. Read the inventory section in concepts for more details.

## Modules

The concepts of modules and their configuration is described in the concepts section.

## Bindings

Bindings provide specific configurations per module and station and even stream. Read the bindings section in concepts for more details on bindings.

## Extensions

Extensions add new configuration options to modules. It does not matter how those extensions are used. Commonly a module loads a plugin, which requires additional configuration parameters - these are provided by an extension.

There are currently extensions for the following modules, corresponding to the plugins shown:

See the documentation for each module for further information about its extensions.

## Module Configuration

agencyID

  Default: `GFZ`

  Type: string

  Agency ID used to set creationInfo.agencyID in data model objects. Should not contain spaces.

datacenterID

  Type: string

  Datacenter ID which is primarily used by Arclink and its tools. Should not contain spaces.

organization

  Default: `Unset`

  Type: string

  Organization name used mainly by ArcLink and SeedLink.

author

  Default: `@appname@@@@hostname@`

  Type: string

  Author name used to set creationInfo.author in data model objects. @appname@ is replaced by the name of the respective executable, @hostname@ by the name of the computer on which it runs.

plugins

  Type: list:string

  List of plugins loaded at startup. Separate multiple names by comma. Add ${plugins} to consider all previously read values.

cityXML

  Type: file

  Values: `*.xml`

  Path to the cities XML file. If undefined, the data is read from "@CONFIGDIR@/cities.xml" or "@DATADIR@/cities.xml". SeisComP ships with "@DATADIR@/cities.xml".

loadCities

  Type: boolean

  Load cities from file configured by the "cityXML" parameter. GUI and map applications enable loading of cities by default considering the parameter "scheme.map.showCities".

loadRegions

  Type: boolean

  Load custom FEP (Flinn-Engdahl polygon) regions from "@CONFIGDIR@/fep/" or @DATADIR@/fep/". GUI and map applications and scevent enable FEP regions by default. Explicitly uncheck the option to disregard by these applications.

publicIDPattern

  Default: `@classname@/@time/%Y%m%d%H%M%S.%f@.@id@`

  Type: string

  Define a custom pattern for generation of public object IDs. The following variables are resolved: @classname@ (class name of object), @id@ (public object count), @globalid@ (general object count), @time@ (current time, use ‘/’ to supply custom format e.g. @time/%FT%T.%fZ@

configModule

  Default: `trunk`

  Type: string

  Name of the configuration module.

database

  Type: string

  Define the database connection. If no database is configured (which is the default) and a messaging connection is available, the application will receive the parameters after the connection is established. Override these values only if you know what you are doing.

  The format is: service://user:pwd@host/database. "service" is the name of the database driver which can be queried with "--db-driver-list". IMPORTANT: This parameter replaces former "database.type" and "database.parameters" which have been removed.

recordstream

  Type: string

  SeisComP applications access waveform data through the RecordStream interface. Read the SeisComP documentation for a list of supported services and their configuration.

  This parameter configures RecordStream source URL.

  Format: [service://]location[#type]

  "service": The name of the RecordStream implementation. If not given, "file://" is implied.

  IMPORTANT: This parameter replaces former RecordStream configurations in "recordstream.service" and "recordstream.source" which have been removed.

Note

logging.* Control the logging of SeisComP applications. The log information are written to log files per modules as “@CONFIGDIR@/log/[module].log”.

logging.level

  Default: `2`

  Type: int

  Values: `1,2,3,4`

  Set the logging level between 1 and 4 where 1=ERROR, 2=WARNING, 3=INFO and 4=DEBUG.

logging.syslog

  Default: `false`

  Type: boolean

  Enable logging to syslog if supported by the host system.

logging.components

  Type: list:string

  Limit the logging to the specified list of components. Example: ‘Application, Server’.

logging.component

  Type: boolean

  For each log entry print the component right after the log level. By default, the component output is enabled for file output but disabled for console output.

logging.context

  Default: `false`

  Type: boolean

  For each log entry print the source file name and line number.

logging.utc

  Type: boolean

  Use UTC instead of local time in logging timestamps.

logging.file.rotator

  Default: `true`

  Type: boolean

  Enable rotation of log files.

logging.file.rotator.timeSpan

  Default: `86400`

  Unit: s

  Type: int

  Time span after which a log file is rotated.

logging.file.rotator.archiveSize

  Default: `7`

  Type: int

  The maximum number of historic log files to keep.

logging.file.rotator.maxFileSize

  Default: `104857600`

  Unit: byte

  Type: int

  The maximum size of a log file in byte. The default value is 100 megabyte. If a log file exceeds that size, then it is rotated. To disable the size limit give 0 or a negative value.

logging.objects.timeSpan

  Default: `60`

  Unit: s

  Type: int

  Time span for counting input/output of objects.

logging.syslog.facility

  Default: `local0`

  Type: string

  Define the syslog facility to be used according to the defined facility names in syslog.h. The default is local0. If the given name is invalid or not available, initializing logging will fail and the application quits.

connection.server

  Default: `localhost`

  Type: host-with-port

  Define the URL of the messaging server to connect to. URL format is [scheme://]host[:port][/queue]. Default scheme: scmp, default port: 18180, default queue: production. Examples:

  All default: localhost

  Specific host: scmp://10.0.1.4:18180/production

  Specific host and SSL encryption: scmps://10.0.1.4:18180/production

connection.username

  Type: string

  Define the username to be used. The length is maybe limited by the messaging system used. By default, the module name (name of the executable) is used but sometimes it exceeds the 10 character limit and access is denied. To prevent errors set a different username. An empty username will let the system to generate one.

connection.certificate

  Type: string

  Define the OpenSSL client certificate to be used. Path to OpenSSL certificate in PKCS 12 format or the prefix "data:" followed by the Base64 encoded certificate data.

connection.timeout

  Default: `3`

  Unit: s

  Type: int

  The connection timeout in seconds. 3 seconds are normally more than enough. If a client needs to connect to a remote system with a slow connection, a larger timeout might be needed.

connection.primaryGroup

  Type: string

  Define the primary group of a module. This is the name of the group where a module sends its messages to if the target group is not explicitly given in the send call.

connection.contentType

  Default: `binary`

  Type: string

  Define the message encoding for sending. Allowed values are "binary", "json" or "xml". XML has more overhead in processing but is more robust when schema versions between client and server are different.

connection.subscriptions

  Type: list:string

  Define a list of message groups to subscribe to. The default is usually given by the application and does not need to be changed.

Note

database.* Define the database connection. If no database is configured (which is the default) and a messaging connection is available, the application will receive the parameters after the connection is established. Override these values only if you know what you are doing.

database.inventory

  Type: file

  Values: `*.xml`

  Load the inventory database from a given XML file if set. This overrides the inventory definitions loaded from the database backend.

database.config

  Type: file

  Values: `*.xml`

  Load the configuration database from a given XML file if set. This overrides the configuration definitions loaded from the database backend.

Note

processing.* Filter the objects for processing according to parameter values.

processing.whitelist.agencies

  Type: list:string

  Define a whitelist of agency IDs corresponding to "agencyID" that are allowed for processing. Objects from all other agencies will be ignored. Separate items by comma.

processing.blacklist.agencies

  Type: list:string

  Define a blacklist of agency IDs corresponding to "agencyID" that are not allowed for processing. Separate items by comma.

Note

inventory.* Filter the considered inventory according to parameter values.

inventory.whitelist.nettype

  Type: list:string

  List of network types to include when loading the inventory. All other types will be ignored. Separate items by comma.

inventory.whitelist.statype

  Type: list:string

  List of station types to include when loading the inventory. All other types will be ignored. Separate items by comma.

inventory.blacklist.nettype

  Type: list:string

  List of network types to exclude when loading the inventory. Separate items by comma.

inventory.blacklist.statype

  Type: list:string

  List of station types to exclude when loading the inventory. Separate items by comma.

scripts.crashHandler

  Type: file

  Path to crash handler script.

core.plugins

  Default: `dbmysql`

  Type: list:string

  Define a list of core modules loaded at startup.

client.startStopMessage

  Default: `false`

  Type: boolean

  Enable sending of an application start- and stop message to the STATUS_GROUP.

client.autoShutdown

  Default: `false`

  Type: boolean

  Enable automatic application shutdown triggered by a status message.

client.shutdownMasterModule

  Type: string

  Trigger shutdown if the module name of the received messages match.

client.shutdownMasterUsername

  Type: string

  Trigger shutdown if the user name of the received messages match.

Note

commands.* Control the handling of command messages.

commands.target

  Type: string

  A regular expression of all clients that should handle a command message usually send to the GUI messaging group. Currently this flag is only used by GUI applications to set an artificial origin and to tell other clients to show this origin. To let all connected clients handle the command, ".*$" can be used.

Note

ttt.* Configure interfaces to travel-time tables (travel-time interfaces). Built-in interfaces are LOCSAT, libtau and homogeneous. For each loaded interface the supported tables must be provided.

Note

ttt.$name.* $name is a placeholder for the name to be used.

ttt.$name.tables

  Type: list:string

  The list of supported table (model) names per interface.

Note

amplitudes.* Parameters for amplitude measurements.

amplitudes.aliases

  Type: list:string

  Definition of amplitude aliases for deriving new amplitude types from an existing amplitude. Separate multiple entries by comma.

  Format:

  NewType:OriginalAmplitudeType

  Examples for deriving an amplitude of new type ABC from MLv:

  ABC:MLv

  Alias amplitudes can be configured like any other amplitude and used for any alias magnitude.

amplitudes.iaspei

  Default: `false`

  Type: boolean

  Compute ML peak-to-trough and mb amplitudes according to IASPEI recommendations.

  For Ms(BB) amplitudes check that the dominant period of the signal is within the valid range (3, 60). The period range may be set in a Ms(BB) amplitude profile in global bindings.

Note

amplitudes.$name.* $name is a placeholder for the name to be used.

amplitudes.$name.regionalize

  Default: `true`

  Type: boolean

  Control if the amplitude calculation should be regionalized or not. The regions and their configuration are taken from the corresponding magnitude profiles. If regionalization is activate, then e.g. modules without origin information will not be able to compute an amplitude as the origin is required to determine the effective settings.

  If amplitudes for this particular type shall be computed regardless of any defined regions, set this parameter to false.

amplitudes.$name.considerUnusedArrivals

  Default: `false`

  Type: boolean

  If enabled, then also stations with unused (disabled) arrivals are considered for amplitude and implicitly magnitude computations, e.g. by scamp, scmag and scolv.

Note

amplitudes.ttt.* Travel time table specific parameters to be used for the computation of travel times referred to in signal and noise time window specifications, e.g. “signalBegin”. This can be overridden per station in its bindings.

amplitudes.ttt.interface

  Default: `LOCSAT`

  Type: string

  Values: `libtau,LOCSAT,homogeneous`

  The name of the travel-time interface to use. The list can be extended by plugins.

amplitudes.ttt.model

  Default: `iasp91`

  Type: string

  The name of the travel-time interface (velocity) model to use.

Note

amplitudes.WoodAnderson.* Parameters of the Wood-Anderson seismometer response used for instrument simulation. The default values are according to Uhrhammer and Collins (1990) and were part of the IASPEI Magnitude Working Group recommendations of 2011 September 9.

amplitudes.WoodAnderson.gain

  Default: `2080`

  Type: double

  The gain of the Wood-Anderson response.

amplitudes.WoodAnderson.T0

  Default: `0.8`

  Unit: s

  Type: double

  The eigenperiod of the Wood-Anderson seismometer.

amplitudes.WoodAnderson.h

  Default: `0.7`

  Type: double

  The damping constant of the Wood-Anderson seismometer.

Note

magnitudes.* Parameters for computing magnitudes. Add magnitude regionalization and mapping to Mw by magnitude-type profiles. One profile corresponds to one magnitude type.

magnitudes.aliases

  Type: list:string

  Definition of magnitude aliases for deriving new magnitude types from existing magnitude and amplitude types. Separate multiple entries by comma.

  Format:

  NewType:OriginalMagnitudeType[:OriginalAmplitudeType]

  OriginalAmplitudeType is optional. The default amplitude type applies if OriginalAmplitudeType is undefined.

  Examples for deriving magnitude of new type ABC from MLv:

  ABC:MLv:MLv

  ABC:MLv

  Alias magnitudes can be configured like any other magnitude and used together with any original or alias amplitudes.

Note

magnitudes.$name.* Regionalization of magnitude configurations overriding global bindings. For parameters which are not set, the values defined in bindings apply. $name is a placeholder for the name to be used.

magnitudes.$name.MwMapping

  Type: list:string

  Mw magnitude mapping table for estimating Mw from network magnitude M. Mw values are given at some M.

  Format: "M0:Mw0, M1:Mw1, …".

  Between two values of M, Mw values will be linearly interpolated but not extrapolated.

magnitudes.$name.regionFile

  Type: file

  Path to a geofeature file, e.g. in BNA or GeoJSON format, with one or more polygons defining geographic regions. Each region allows further magnitude parametrization. The order of polygons/regions matters. The list is tested from front to back and the first hit wins. Magnitude-region profiles refer to the polygons by the name of the profile. The special name "world" must not be present in the geofeature file.

Note

magnitudes.$name.region.* Add magnitude region profiles for regions defined by polygons in the geofeature file of regionFile. Profile names must match one polygon name. Otherwise, the profile is not considered. The special name “world” corresponds to the region of the entire planet as a fallback.

Note

magnitudes.$name.region.$name.* $name is a placeholder for the name to be used.

magnitudes.$name.region.$name.enable

  Default: `false`

  Type: boolean

  Enable the region or not.

magnitudes.$name.region.$name.minDist

  Unit: deg

  Type: string

  The minimum distance required to compute a magnitude. This settings has no effect with e.g. scautopick as there is no information about the source of the event to compute the distance. The default value depends on magnitude type.

  Although the default unit is ‘deg’, values can be given in any SI distance unit such km, m or cm by simply appending the unit to the value.

  Example:

  minDist = 500km

magnitudes.$name.region.$name.maxDist

  Unit: deg

  Type: string

  The maximum distance allowed to compute a magnitude. This settings has no effect with e.g. scautopick as there is no information about the source of the event to compute the distance. The default value depends on magnitude type.

  Although the default unit is ‘deg’, values can be given in any SI distance unit such km, m or cm by simply appending the unit to the value.

  Example:

  maxDist = 500km

magnitudes.$name.region.$name.minDepth

  Unit: km

  Type: string

  The minimum depth required to compute a magnitude. This settings has no effect with e.g. scautopick as there is no information about the source of the event to retrieve the depth. The default value depends on magnitude type.

  Although the default unit is ‘km’, values can be given in any SI distance unit such km, m or cm by simply appending the unit to the value.

  Example:

  minDepth = 500km

magnitudes.$name.region.$name.maxDepth

  Unit: km

  Type: string

  The maximum depth allowed to compute a magnitude. This settings has no effect with e.g. scautopick as there is no information about the source of the event to retrieve the depth. The default value depends on magnitude type.

  Although the default unit is ‘km’, values can be given in any SI distance unit such km, m or cm by simply appending the unit to the value.

  Example:

  maxDepth = 500km

magnitudes.$name.region.$name.check

  Default: `source`

  Type: string

  Define how the region check is performed to accept a source receiver pair for further processing. Allowed values are:

  source: Only the source/origin must be within the region.

  source-receiver: Both source/origin and receiver/station must be within the region.

  raypath: The entire path between source/origin and receiver/station must be withing the region.

magnitudes.$name.region.$name.multiplier

  Type: double

  Linear part of the default station correction for this region.

magnitudes.$name.region.$name.offset

  Type: double

  Constant part of the default station correction for this region.

## Bindings Parameters

detecLocid

  Type: string

  The sensor location code of the preferred stream used e.g. by scautopick and scrttv.

detecStream

  Type: string

  The channel code of the preferred stream used by e.g. scautopick and scrttv. If no component code is given, the vertical component will be fetched from inventory considering the channel orientation (azimuth, dip). If that approach fails, ‘Z’ will be appended and used as fallback. Do not use regular expressions!

Note

amplitudes.* Define general parameters for amplitudes of a certain type. Create amplitude type profiles to define the time windows, minimum signal-to-noise ratio, amplitude thresholds and restitution for measuring amplitudes of a certain type.

Standard amplitude types supported in SeisComP: Md,Mjma,ML,MLc,MLh,MLr,MLv,MN,mb,mB,Mwp,Ms_20,Ms(BB).

amplitudes.saturationThreshold

  Default: `false`

  Unit: counts; %

  Type: string

  Define the saturation threshold for the optional saturation check. By default, the saturation check is disabled but giving a value above 0 will enable it. Waveforms with raw amplitudes above the threshold will then be considered saturated and not used for amplitude calculations.

  This value can either be an absolute value of counts such as "100000" counts or a relative value (optionally in percent) with respect to the number of effective bits, e.g., "0.8@23" or "80%@23". The first and the second version represent 0.8 * 2**23 and 80/100 * 2**23, respectively, which is the same.

  The boolean value "false" explicitly disables the check.

amplitudes.enable

  Default: `true`

  Type: boolean

  Define if amplitude calculation is enabled. If disabled, this station will be skipped for amplitudes and magnitudes.

amplitudes.enableResponses

  Default: `false`

  Type: boolean

  Activate deconvolution for this station. If no responses are configured, an error is raised and the data is not processed. This flag will be overridden by the type specific flag (see GlobalAmplitudeProfile).

Note

amplitudes.$name.* An amplitude profile configures global parameters for a particular amplitude type. The available amplitude types are not fixed and can be extended by plugins. The name of the type must match the one defined in the corresponding AmplitudeProcessor. $name is a placeholder for the name to be used.

amplitudes.$name.saturationThreshold

  Default: `false`

  Unit: counts; %

  Type: string

  Define the saturation threshold for the optional saturation check. By default, the saturation check is disabled but giving a value above 0 will enable it. Waveforms with raw amplitudes above the threshold will then be considered saturated and not used for amplitude calculations.

  This value can either be an absolute value of counts such as "100000" counts or a relative value (optionally in percent) with respect to the number of effective bits, e.g., "0.8@23" or "80%@23". The first and the second version represent 0.8 * 2**23 and 80/100 * 2**23, respectively, which is the same.

  The boolean value "false" explicitly disables the check.

amplitudes.$name.enable

  Default: `true`

  Type: boolean

  Define if amplitude calculation of certain type is enabled.

amplitudes.$name.enableResponses

  Default: `false`

  Type: boolean

  Activate deconvolution for this amplitude type. If not set, the global flag "amplitudes.enableResponses" will be used instead.

amplitudes.$name.minSNR

  Default: `3`

  Type: double

  Define the minimum SNR to be reached to compute the amplitudes. This value is amplitude type specific and has no global default value.

amplitudes.$name.minPeriod

  Unit: s

  Type: double

  Define the minimum period of the measured amplitude. If the period is below this value, the amplitude will not be emitted. This value is specific to amplitude type and has no global default value. A value lower or equal than 0 will disable this check.

  Caution: If a value is set but the amplitude does not provide the period, no amplitude is sent.

amplitudes.$name.maxPeriod

  Unit: s

  Type: double

  Define the maximum period of the measured amplitude. If the period is above this value, the amplitude will not be emitted. This value is specific to amplitude type and has no global default value. A value lower or equal than 0 will disable this check.

  Caution: If a value is set but the amplitude does not provide the period, no amplitude is sent.

amplitudes.$name.noiseBegin

  Default: `-35`

  Unit: time grammar

  Type: string

  Override the default time (relative to the trigger time) of the begin of the noise window used to compute the noise offset and noise amplitude. Each amplitude processor sets its own noise time window and this option should only be changed if you know what you are doing.

amplitudes.$name.noiseEnd

  Default: `-5`

  Unit: time grammar

  Type: string

  Override the default time (relative to the trigger time) of the end of the noise window used to compute the noise offset and noise amplitude. Each amplitude processor sets its own noise time window and this option should only be changed if you know what you are doing.

amplitudes.$name.signalBegin

  Default: `-5`

  Unit: time grammar

  Type: string

  Override the default time (relative to the trigger time) of the begin of the signal window used to compute the final amplitude. Each amplitude processor sets its own signal time window and this option should only be changed if you know what you are doing.

amplitudes.$name.signalEnd

  Default: `30`

  Unit: time grammar

  Type: string

  Override the default time (relative to the trigger time) of the end of the signal window used to compute the final amplitude. Each amplitude processor sets its own signal time window and this option should only be changed if you know what you are doing.

amplitudes.$name.minDist

  Default: `0`

  Unit: deg

  Type: string

  The minimum distance required to compute an amplitude. This settings has no effect with e.g. scautopick as there is no information about the source of the event to compute the distance. The default value depends on amplitude type.

  Although the default unit is ‘deg’, values can be given in any SI distance unit such km, m or cm by simply appending the unit to the value.

  Example:

  minDist = 500km

amplitudes.$name.maxDist

  Default: `180`

  Unit: deg

  Type: string

  The maximum distance allowed to compute an amplitude. This settings has no effect with e.g. scautopick as there is no information about the source of the event to compute the distance. The default value depends on amplitude type.

  Although the default unit is ‘deg’, values can be given in any SI distance unit such km, m or cm by simply appending the unit to the value.

  Example:

  maxDist = 500km

amplitudes.$name.minDepth

  Default: `-1000000`

  Unit: km

  Type: string

  The minimum depth required to compute an amplitude. This settings has no effect with e.g. scautopick as there is no information about the source of the event to retrieve the depth. The default value depends on amplitude type.

  Although the default unit is ‘km’, values can be given in any SI distance unit such km, m or cm by simply appending the unit to the value.

  Example:

  minDepth = 500km

amplitudes.$name.maxDepth

  Default: `1000000`

  Unit: km

  Type: string

  The maximum depth allowed to compute an amplitude. This settings has no effect with e.g. scautopick as there is no information about the source of the event to retrieve the depth. The default value depends on amplitude type.

  Although the default unit is ‘km’, values can be given in any SI distance unit such km, m or cm by simply appending the unit to the value.

  Example:

  maxDepth = 500km

Note

amplitudes.$name.resp.* Several parameters if usage of full responses is enabled.

amplitudes.$name.resp.taper

  Default: `5`

  Unit: s

  Type: double

  Define the length of the taper at either side of the waveform. The length will be added to the data request: start - taper and end + taper.

amplitudes.$name.resp.minFreq

  Default: `0.00833333`

  Unit: Hz

  Type: double

  After data are converted in to the frequency domain that minimum frequency defines the end of the left-side cosine taper for the frequency spectrum. The taper applies from 0 Hz to {minFreq} Hz. A value of 0 or lower disables that taper.

amplitudes.$name.resp.maxFreq

  Default: `0`

  Unit: Hz

  Type: double

  After data are converted in to the frequency domain that maximum frequency defines the start of the right-side cosine taper for the frequency spectrum. The taper applies from {maxFreq} Hz to {fNyquist} Hz. A value of 0 or lower disables that taper.

Note

amplitudes.resp.* Several parameters if usage of full responses is enabled. The parameters of this group will be overridden by type specific settings if given (see GlobalAmplitudeProfile).

amplitudes.resp.taper

  Default: `5`

  Unit: s

  Type: double

  Define the length of the taper at either side of the waveform. The length will be added to the data request: start - taper and end + taper.

amplitudes.resp.minFreq

  Default: `0.00833333`

  Unit: Hz

  Type: double

  The minimum frequency of the considered spectrum.

  After data is converted into the frequency domain that minimum frequency defines the end of the left-side cosine taper applied to the spectrum. The taper applies from 0 Hz to {minFreq} Hz. A value of 0 or lower disables that taper.

amplitudes.resp.maxFreq

  Default: `0`

  Unit: Hz

  Type: double

  The maximum frequency of the considered spectrum.

  After data are converted in to the frequency domain that maximum frequency defines the start of the right-side cosine taper applied to the spectrum. The taper applies from {maxFreq} Hz to {fNyquist} Hz. A value of 0 or lower disables that taper.

Note

amplitudes.ttt.* Travel time table specific parameters to be used for the computation of travel times referred to in signal and noise time window specifications, e.g. “signalBegin”.

amplitudes.ttt.interface

  Default: `LOCSAT`

  Type: string

  Values: `libtau,LOCSAT,homogeneous`

  The name of the travel-time interface to use. The list can be extended by plugins.

amplitudes.ttt.model

  Default: `iasp91`

  Type: string

  The name of the travel-time interface (velocity) model to use.

Note

amplitudes.WoodAnderson.* Parameters of the Wood-Anderson seismometer response used for instrument simulation. The default values are according to Uhrhammer and Collins (1990) and were part of the IASPEI Magnitude Working Group recommendations of 2011 September 9.

amplitudes.WoodAnderson.gain

  Default: `2080`

  Type: double

  The gain of the Wood-Anderson response.

amplitudes.WoodAnderson.T0

  Default: `0.8`

  Unit: s

  Type: double

  The eigenperiod of the Wood-Anderson seismometer.

amplitudes.WoodAnderson.h

  Default: `0.7`

  Type: double

  The damping constant of the Wood-Anderson seismometer.

Note

magnitudes.* Define the calibration parameters and constraints for computing magnitudes from measured amplitudes including static corrections. The parameters are independent of amplitude-type profiles.

Standard magnitude types supported in SeisComP: Md,Mjma,ML,MLc,MLh,MLr,MLv,MN,mb,mB,Mwp,Ms_20,Ms(BB).

Note

magnitudes.$name.* A magnitude profile configures global parameters for a particular magnitude type. The available magnitude types are not fixed and can be extended by plugins. The name of the type must match the one defined in the corresponding MagnitudeProcessor. $name is a placeholder for the name to be used.

magnitudes.$name.multiplier

  Default: `1`

  Type: list:string

  Part of the magnitude station correction. The final magnitude value is multiplier*M+offset. This value can be regionalized with name-value pairs. The name is the name of the region. Without a name the value is the default without regionalization. Example: "1.0, regionA: 0.9, regionB: 1.1".

magnitudes.$name.offset

  Default: `0`

  Type: list:string

  Part of the magnitude station correction. The final magnitude value is multiplier*M+offset. This value can be regionalized with name-value pairs. The name is the name of the region. Without a name the value is the default without regionalization. Example: "0.0, regionA: -0.1, regionB: 0.2".

magnitudes.$name.minDist

  Unit: deg

  Type: string

  The minimum distance in degree required to compute a magnitude. This settings has no effect with e.g. scautopick as there is no information about the source of the event to compute the distance. The default value depends on magnitude type.

  Although the default unit is ‘deg’, values can be given in any SI distance unit such km, m or cm by simply appending the unit to the value.

  Example:

  minDist = 500km

magnitudes.$name.maxDist

  Unit: deg

  Type: string

  The maximum distance in degree allowed to compute a magnitude. This settings has no effect with e.g. scautopick as there is no information about the source of the event to compute the distance. The default value depends on magnitude type.

  Although the default unit is ‘deg’, values can be given in any SI distance unit such km, m or cm by simply appending the unit to the value.

magnitudes.$name.minDepth

  Unit: km

  Type: string

  The minimum depth required to compute a magnitude. This settings has no effect with e.g. scautopick as there is no information about the source of the event to retrieve the depth. The default value depends on magnitude type.

  Although the default unit is ‘km’, values can be given in any SI distance unit such km, m or cm by simply appending the unit to the value.

  Example:

  minDepth = 500km

magnitudes.$name.maxDepth

  Unit: km

  Type: string

  The maximum depth allowed to compute a magnitude. This settings has no effect with e.g. scautopick as there is no information about the source of the event to retrieve the depth. The default value depends on magnitude type.

  Although the default unit is ‘km’, values can be given in any SI distance unit such km, m or cm by simply appending the unit to the value.

  Example:

  maxDepth = 500km

magnitudes.$name.minSNR

  Type: double

  The minimum SNR required for a magnitude to pass the QC check. The station magnitude will be computed anyway but if the SNR is below this threshold it will be associated with weight zero and will not contribute to the network magnitude. If this value is set then it overrides the regionalized setting.

magnitudes.$name.minPeriod

  Unit: s

  Type: double

  The minimum period required for a magnitude to pass the QC check. The station magnitude will be computed anyway but if the period is below this threshold it will be associated with weight zero and will not contribute to the network magnitude. If this value is set, then it overrides the regionalized setting.

  Caution: If a value is set but the amplitude does not provide the period, no magnitude is computed.

magnitudes.$name.maxPeriod

  Unit: s

  Type: double

  The maximum period allowed for a magnitude to pass the QC check. The station magnitude will be computed anyway but if the period is above this threshold it will be associated with weight zero and will not contribute to the network magnitude. If this value is set, then it overrides the regionalized setting.

  Caution: If a value is set but the amplitude does not provide the period, no magnitude is computed.

Note

picker.* Parameters controlling the second-stage picker for re-picking P phases after an initial detection.

Note

picker.AIC.* AIC picker is an implementation using the simple non-AR algorithm of Maeda (1985), see paper of Zhang et al. (2003) in BSSA. The picker interface name to be used in configuration files, e.g. of scautopick, is “AIC”.

picker.AIC.noiseBegin

  Default: `0`

  Unit: s

  Type: double

  Override the relative data acquisition time (relative to the triggering pick). This adds a margin to the actual processing and is useful to initialize the filter (Example: bandpass). The data is not used at all until signalBegin is reached. The data time window start is the minimum of noiseBegin and signalBegin.

picker.AIC.signalBegin

  Default: `-30`

  Unit: s

  Type: double

  Override the default time (relative to the trigger time) of the begin of the signal window used to pick.

picker.AIC.signalEnd

  Default: `10`

  Unit: s

  Type: double

  Override the default time (relative to the trigger time) of the begin of the signal window used to pick.

picker.AIC.filter

  Type: string

  Override the default filter which is "raw". The typical filter grammar can be used.

picker.AIC.minSNR

  Default: `3`

  Type: double

  Mininum SNR as returned from AIC for accepting picks.

Note

picker.BK.* Bkpicker is an implementation of the Baer/Kradolfer picker adapted to SeisComP. It was created by converting Manfred Baers from FORTRAN to C++ and inserting it as a replacement for the picker algorithm. The picker interface name to be used in configuration files, e.g. of scautopick,is “BK”.

picker.BK.noiseBegin

  Default: `0`

  Unit: s

  Type: double

  Override the relative data acquisition time (relative to the triggering pick). This adds a margin to the actual processing and is useful to initialize the filter (Example: bandpass). The data is not used at all until signalBegin is reached. The data time window start is the minimum of noiseBegin and signalBegin.

picker.BK.signalBegin

  Default: `-20`

  Unit: s

  Type: double

  Override the default time (relative to the trigger time) of the begin of the signal window used to pick.

picker.BK.signalEnd

  Default: `80`

  Unit: s

  Type: double

  Override the default time (relative to the trigger time) of the begin of the signal window used to pick.

picker.BK.filterType

  Default: `BP`

  Type: string

  BP (bandpass) is currently the only option.

picker.BK.filterPoles

  Default: `2`

  Type: int

  Number of poles.

picker.BK.f1

  Default: `5`

  Unit: Hz

  Type: double

  Bandpass lower cutoff freq. in Hz.

picker.BK.f2

  Default: `20`

  Unit: Hz

  Type: double

  Bandpass upper cutoff freq. in Hz.

picker.BK.thrshl1

  Default: `10`

  Type: double

  Threshold to trigger for pick (c.f. paper), default 10

picker.BK.thrshl2

  Default: `20`

  Type: double

  Threshold for updating sigma (c.f. paper), default 20

Note

spicker.* Parameters controlling the secondary picker. Example: for picking S phases.

Note

spicker.L2.* L2 is an algorithm to pick S-phases based on existing P-phases. It works by creating the L2 norm of the two filtered horizontal components and then running the `detecFilter` on the L2 trace to find the S pick. Finally AIC is applied around the detected pick time to refine the detection. The picker name to be used in configuration files is “S-L2”.

spicker.L2.noiseBegin

  Default: `-10`

  Unit: s

  Type: double

  Override the relative data processing start time (relative to the triggering pick). This adds a margin to the actual processing and is useful to initialize the filter (Example: bandpass). The data is not used at all until signalBegin is reached. The data time window start is the minimum of noiseBegin and signalBegin.

spicker.L2.signalBegin

  Default: `0`

  Unit: s

  Type: double

  Override the relative start time (relative to the triggering pick) of the begin of the signal processing.

spicker.L2.signalEnd

  Default: `60`

  Unit: s

  Type: double

  Override the relative end time (relative to the triggering pick) of the end of the signal window used to pick.

spicker.L2.filter

  Default: `BW(4,0.3,1.0)`

  Type: string

  Configure the filter used to process the horizontal components traces before computing the L2-norm.

spicker.L2.detecFilter

  Default: `STALTA(1,10)`

  Type: string

  Configure the detector filter applied on the filtered L2 trace.

spicker.L2.threshold

  Default: `3`

  Type: double

  The detector threshold that triggers the AIC picker.

spicker.L2.timeCorr

  Default: `0`

  Unit: s

  Type: double

  The time correction added to the detection time before AIC time window is computed.

spicker.L2.marginAIC

  Default: `5`

  Unit: s

  Type: double

  The AIC time window around the detection used to pick. If 0, AIC is not used.

spicker.L2.minSNR

  Default: `15`

  Type: double

  Minimum SNR as returned from AIC for accepting picks.

Note

spicker.V.* This S-picker works similarly to L2 but it only uses the vertical component to pick S-phases. The picker name to be used in configuration files is “S-V”.

spicker.V.noiseBegin

  Default: `-10`

  Unit: s

  Type: double

  Override the relative data processing start time (relative to the triggering pick). This adds a margin to the actual processing and is useful to initialize the filter (Example: bandpass). The data is not used at all until signalBegin is reached. The data time window start is the minimum of noiseBegin and signalBegin.

spicker.V.signalBegin

  Default: `0`

  Unit: s

  Type: double

  Override the relative start time (relative to the triggering pick) of the begin of the signal processing.

spicker.V.signalEnd

  Default: `60`

  Unit: s

  Type: double

  Override the relative end time (relative to the triggering pick) of the end of the signal window used to pick.

spicker.V.filter

  Default: `BW(4,0.3,1.0)`

  Type: string

  Configure the filter used to process the raw vertical component data.

spicker.V.detecFilter

  Default: `STALTA(1,10)`

  Type: string

  Configure the detector filter applied on filtered data.

spicker.V.threshold

  Default: `3`

  Type: double

  The detector threshold that triggers the AIC picker.

spicker.V.timeCorr

  Default: `0`

  Unit: s

  Type: double

  The time correction added to the detection time before AIC time window is computed.

spicker.V.marginAIC

  Default: `5`

  Unit: s

  Type: double

  The AIC time window around the detection used to pick. If 0, AIC is not used.

spicker.V.minSNR

  Default: `15`

  Type: double

  Define the mininum SNR as returned from AIC.

detecLocid

  Type: string

  The sensor location code of the preferred stream used e.g. by scautopick and scrttv.

detecStream

  Type: string

  The channel code of the preferred stream used by e.g. scautopick and scrttv. If no component code is given, the vertical component will be fetched from inventory considering the channel orientation (azimuth, dip). If that approach fails, ‘Z’ will be appended and used as fallback. Do not use regular expressions!

Note

amplitudes.* Define general parameters for amplitudes of a certain type. Create amplitude type profiles to define the time windows, minimum signal-to-noise ratio, amplitude thresholds and restitution for measuring amplitudes of a certain type.

Standard amplitude types supported in SeisComP: Md,Mjma,ML,MLc,MLh,MLr,MLv,MN,mb,mB,Mwp,Ms_20,Ms(BB).

amplitudes.saturationThreshold

  Default: `false`

  Unit: counts; %

  Type: string

  Define the saturation threshold for the optional saturation check. By default, the saturation check is disabled but giving a value above 0 will enable it. Waveforms with raw amplitudes above the threshold will then be considered saturated and not used for amplitude calculations.

  This value can either be an absolute value of counts such as "100000" counts or a relative value (optionally in percent) with respect to the number of effective bits, e.g., "0.8@23" or "80%@23". The first and the second version represent 0.8 * 2**23 and 80/100 * 2**23, respectively, which is the same.

  The boolean value "false" explicitly disables the check.

amplitudes.enable

  Default: `true`

  Type: boolean

  Define if amplitude calculation is enabled. If disabled, this station will be skipped for amplitudes and magnitudes.

amplitudes.enableResponses

  Default: `false`

  Type: boolean

  Activate deconvolution for this station. If no responses are configured, an error is raised and the data is not processed. This flag will be overridden by the type specific flag (see GlobalAmplitudeProfile).

Note

amplitudes.$name.* An amplitude profile configures global parameters for a particular amplitude type. The available amplitude types are not fixed and can be extended by plugins. The name of the type must match the one defined in the corresponding AmplitudeProcessor. $name is a placeholder for the name to be used.

amplitudes.$name.saturationThreshold

  Default: `false`

  Unit: counts; %

  Type: string

  Define the saturation threshold for the optional saturation check. By default, the saturation check is disabled but giving a value above 0 will enable it. Waveforms with raw amplitudes above the threshold will then be considered saturated and not used for amplitude calculations.

  This value can either be an absolute value of counts such as "100000" counts or a relative value (optionally in percent) with respect to the number of effective bits, e.g., "0.8@23" or "80%@23". The first and the second version represent 0.8 * 2**23 and 80/100 * 2**23, respectively, which is the same.

  The boolean value "false" explicitly disables the check.

amplitudes.$name.enable

  Default: `true`

  Type: boolean

  Define if amplitude calculation of certain type is enabled.

amplitudes.$name.enableResponses

  Default: `false`

  Type: boolean

  Activate deconvolution for this amplitude type. If not set, the global flag "amplitudes.enableResponses" will be used instead.

amplitudes.$name.minSNR

  Default: `3`

  Type: double

  Define the minimum SNR to be reached to compute the amplitudes. This value is amplitude type specific and has no global default value.

amplitudes.$name.minPeriod

  Unit: s

  Type: double

  Define the minimum period of the measured amplitude. If the period is below this value, the amplitude will not be emitted. This value is specific to amplitude type and has no global default value. A value lower or equal than 0 will disable this check.

  Caution: If a value is set but the amplitude does not provide the period, no amplitude is sent.

amplitudes.$name.maxPeriod

  Unit: s

  Type: double

  Define the maximum period of the measured amplitude. If the period is above this value, the amplitude will not be emitted. This value is specific to amplitude type and has no global default value. A value lower or equal than 0 will disable this check.

  Caution: If a value is set but the amplitude does not provide the period, no amplitude is sent.

amplitudes.$name.noiseBegin

  Default: `-35`

  Unit: time grammar

  Type: string

  Override the default time (relative to the trigger time) of the begin of the noise window used to compute the noise offset and noise amplitude. Each amplitude processor sets its own noise time window and this option should only be changed if you know what you are doing.

amplitudes.$name.noiseEnd

  Default: `-5`

  Unit: time grammar

  Type: string

  Override the default time (relative to the trigger time) of the end of the noise window used to compute the noise offset and noise amplitude. Each amplitude processor sets its own noise time window and this option should only be changed if you know what you are doing.

amplitudes.$name.signalBegin

  Default: `-5`

  Unit: time grammar

  Type: string

  Override the default time (relative to the trigger time) of the begin of the signal window used to compute the final amplitude. Each amplitude processor sets its own signal time window and this option should only be changed if you know what you are doing.

amplitudes.$name.signalEnd

  Default: `30`

  Unit: time grammar

  Type: string

  Override the default time (relative to the trigger time) of the end of the signal window used to compute the final amplitude. Each amplitude processor sets its own signal time window and this option should only be changed if you know what you are doing.

amplitudes.$name.minDist

  Default: `0`

  Unit: deg

  Type: string

  The minimum distance required to compute an amplitude. This settings has no effect with e.g. scautopick as there is no information about the source of the event to compute the distance. The default value depends on amplitude type.

  Although the default unit is ‘deg’, values can be given in any SI distance unit such km, m or cm by simply appending the unit to the value.

  Example:

  minDist = 500km

amplitudes.$name.maxDist

  Default: `180`

  Unit: deg

  Type: string

  The maximum distance allowed to compute an amplitude. This settings has no effect with e.g. scautopick as there is no information about the source of the event to compute the distance. The default value depends on amplitude type.

  Although the default unit is ‘deg’, values can be given in any SI distance unit such km, m or cm by simply appending the unit to the value.

  Example:

  maxDist = 500km

amplitudes.$name.minDepth

  Default: `-1000000`

  Unit: km

  Type: string

  The minimum depth required to compute an amplitude. This settings has no effect with e.g. scautopick as there is no information about the source of the event to retrieve the depth. The default value depends on amplitude type.

  Although the default unit is ‘km’, values can be given in any SI distance unit such km, m or cm by simply appending the unit to the value.

  Example:

  minDepth = 500km

amplitudes.$name.maxDepth

  Default: `1000000`

  Unit: km

  Type: string

  The maximum depth allowed to compute an amplitude. This settings has no effect with e.g. scautopick as there is no information about the source of the event to retrieve the depth. The default value depends on amplitude type.

  Although the default unit is ‘km’, values can be given in any SI distance unit such km, m or cm by simply appending the unit to the value.

  Example:

  maxDepth = 500km

Note

amplitudes.$name.resp.* Several parameters if usage of full responses is enabled.

amplitudes.$name.resp.taper

  Default: `5`

  Unit: s

  Type: double

  Define the length of the taper at either side of the waveform. The length will be added to the data request: start - taper and end + taper.

amplitudes.$name.resp.minFreq

  Default: `0.00833333`

  Unit: Hz

  Type: double

  After data are converted in to the frequency domain that minimum frequency defines the end of the left-side cosine taper for the frequency spectrum. The taper applies from 0 Hz to {minFreq} Hz. A value of 0 or lower disables that taper.

amplitudes.$name.resp.maxFreq

  Default: `0`

  Unit: Hz

  Type: double

  After data are converted in to the frequency domain that maximum frequency defines the start of the right-side cosine taper for the frequency spectrum. The taper applies from {maxFreq} Hz to {fNyquist} Hz. A value of 0 or lower disables that taper.

Note

amplitudes.resp.* Several parameters if usage of full responses is enabled. The parameters of this group will be overridden by type specific settings if given (see GlobalAmplitudeProfile).

amplitudes.resp.taper

  Default: `5`

  Unit: s

  Type: double

  Define the length of the taper at either side of the waveform. The length will be added to the data request: start - taper and end + taper.

amplitudes.resp.minFreq

  Default: `0.00833333`

  Unit: Hz

  Type: double

  The minimum frequency of the considered spectrum.

  After data is converted into the frequency domain that minimum frequency defines the end of the left-side cosine taper applied to the spectrum. The taper applies from 0 Hz to {minFreq} Hz. A value of 0 or lower disables that taper.

amplitudes.resp.maxFreq

  Default: `0`

  Unit: Hz

  Type: double

  The maximum frequency of the considered spectrum.

  After data are converted in to the frequency domain that maximum frequency defines the start of the right-side cosine taper applied to the spectrum. The taper applies from {maxFreq} Hz to {fNyquist} Hz. A value of 0 or lower disables that taper.

Note

amplitudes.ttt.* Travel time table specific parameters to be used for the computation of travel times referred to in signal and noise time window specifications, e.g. “signalBegin”.

amplitudes.ttt.interface

  Default: `LOCSAT`

  Type: string

  Values: `libtau,LOCSAT,homogeneous`

  The name of the travel-time interface to use. The list can be extended by plugins.

amplitudes.ttt.model

  Default: `iasp91`

  Type: string

  The name of the travel-time interface (velocity) model to use.

Note

amplitudes.WoodAnderson.* Parameters of the Wood-Anderson seismometer response used for instrument simulation. The default values are according to Uhrhammer and Collins (1990) and were part of the IASPEI Magnitude Working Group recommendations of 2011 September 9.

amplitudes.WoodAnderson.gain

  Default: `2080`

  Type: double

  The gain of the Wood-Anderson response.

amplitudes.WoodAnderson.T0

  Default: `0.8`

  Unit: s

  Type: double

  The eigenperiod of the Wood-Anderson seismometer.

amplitudes.WoodAnderson.h

  Default: `0.7`

  Type: double

  The damping constant of the Wood-Anderson seismometer.

Note

magnitudes.* Define the calibration parameters and constraints for computing magnitudes from measured amplitudes including static corrections. The parameters are independent of amplitude-type profiles.

Standard magnitude types supported in SeisComP: Md,Mjma,ML,MLc,MLh,MLr,MLv,MN,mb,mB,Mwp,Ms_20,Ms(BB).

Note

magnitudes.$name.* A magnitude profile configures global parameters for a particular magnitude type. The available magnitude types are not fixed and can be extended by plugins. The name of the type must match the one defined in the corresponding MagnitudeProcessor. $name is a placeholder for the name to be used.

magnitudes.$name.multiplier

  Default: `1`

  Type: list:string

  Part of the magnitude station correction. The final magnitude value is multiplier*M+offset. This value can be regionalized with name-value pairs. The name is the name of the region. Without a name the value is the default without regionalization. Example: "1.0, regionA: 0.9, regionB: 1.1".

magnitudes.$name.offset

  Default: `0`

  Type: list:string

  Part of the magnitude station correction. The final magnitude value is multiplier*M+offset. This value can be regionalized with name-value pairs. The name is the name of the region. Without a name the value is the default without regionalization. Example: "0.0, regionA: -0.1, regionB: 0.2".

magnitudes.$name.minDist

  Unit: deg

  Type: string

  The minimum distance in degree required to compute a magnitude. This settings has no effect with e.g. scautopick as there is no information about the source of the event to compute the distance. The default value depends on magnitude type.

  Although the default unit is ‘deg’, values can be given in any SI distance unit such km, m or cm by simply appending the unit to the value.

  Example:

  minDist = 500km

magnitudes.$name.maxDist

  Unit: deg

  Type: string

  The maximum distance in degree allowed to compute a magnitude. This settings has no effect with e.g. scautopick as there is no information about the source of the event to compute the distance. The default value depends on magnitude type.

  Although the default unit is ‘deg’, values can be given in any SI distance unit such km, m or cm by simply appending the unit to the value.

magnitudes.$name.minDepth

  Unit: km

  Type: string

  The minimum depth required to compute a magnitude. This settings has no effect with e.g. scautopick as there is no information about the source of the event to retrieve the depth. The default value depends on magnitude type.

  Although the default unit is ‘km’, values can be given in any SI distance unit such km, m or cm by simply appending the unit to the value.

  Example:

  minDepth = 500km

magnitudes.$name.maxDepth

  Unit: km

  Type: string

  The maximum depth allowed to compute a magnitude. This settings has no effect with e.g. scautopick as there is no information about the source of the event to retrieve the depth. The default value depends on magnitude type.

  Although the default unit is ‘km’, values can be given in any SI distance unit such km, m or cm by simply appending the unit to the value.

  Example:

  maxDepth = 500km

magnitudes.$name.minSNR

  Type: double

  The minimum SNR required for a magnitude to pass the QC check. The station magnitude will be computed anyway but if the SNR is below this threshold it will be associated with weight zero and will not contribute to the network magnitude. If this value is set then it overrides the regionalized setting.

magnitudes.$name.minPeriod

  Unit: s

  Type: double

  The minimum period required for a magnitude to pass the QC check. The station magnitude will be computed anyway but if the period is below this threshold it will be associated with weight zero and will not contribute to the network magnitude. If this value is set, then it overrides the regionalized setting.

  Caution: If a value is set but the amplitude does not provide the period, no magnitude is computed.

magnitudes.$name.maxPeriod

  Unit: s

  Type: double

  The maximum period allowed for a magnitude to pass the QC check. The station magnitude will be computed anyway but if the period is above this threshold it will be associated with weight zero and will not contribute to the network magnitude. If this value is set, then it overrides the regionalized setting.

  Caution: If a value is set but the amplitude does not provide the period, no magnitude is computed.

Note

picker.* Parameters controlling the second-stage picker for re-picking P phases after an initial detection.

Note

picker.AIC.* AIC picker is an implementation using the simple non-AR algorithm of Maeda (1985), see paper of Zhang et al. (2003) in BSSA. The picker interface name to be used in configuration files, e.g. of scautopick, is “AIC”.

picker.AIC.noiseBegin

  Default: `0`

  Unit: s

  Type: double

  Override the relative data acquisition time (relative to the triggering pick). This adds a margin to the actual processing and is useful to initialize the filter (Example: bandpass). The data is not used at all until signalBegin is reached. The data time window start is the minimum of noiseBegin and signalBegin.

picker.AIC.signalBegin

  Default: `-30`

  Unit: s

  Type: double

  Override the default time (relative to the trigger time) of the begin of the signal window used to pick.

picker.AIC.signalEnd

  Default: `10`

  Unit: s

  Type: double

  Override the default time (relative to the trigger time) of the begin of the signal window used to pick.

picker.AIC.filter

  Type: string

  Override the default filter which is "raw". The typical filter grammar can be used.

picker.AIC.minSNR

  Default: `3`

  Type: double

  Mininum SNR as returned from AIC for accepting picks.

Note

picker.BK.* Bkpicker is an implementation of the Baer/Kradolfer picker adapted to SeisComP. It was created by converting Manfred Baers from FORTRAN to C++ and inserting it as a replacement for the picker algorithm. The picker interface name to be used in configuration files, e.g. of scautopick,is “BK”.

picker.BK.noiseBegin

  Default: `0`

  Unit: s

  Type: double

  Override the relative data acquisition time (relative to the triggering pick). This adds a margin to the actual processing and is useful to initialize the filter (Example: bandpass). The data is not used at all until signalBegin is reached. The data time window start is the minimum of noiseBegin and signalBegin.

picker.BK.signalBegin

  Default: `-20`

  Unit: s

  Type: double

  Override the default time (relative to the trigger time) of the begin of the signal window used to pick.

picker.BK.signalEnd

  Default: `80`

  Unit: s

  Type: double

  Override the default time (relative to the trigger time) of the begin of the signal window used to pick.

picker.BK.filterType

  Default: `BP`

  Type: string

  BP (bandpass) is currently the only option.

picker.BK.filterPoles

  Default: `2`

  Type: int

  Number of poles.

picker.BK.f1

  Default: `5`

  Unit: Hz

  Type: double

  Bandpass lower cutoff freq. in Hz.

picker.BK.f2

  Default: `20`

  Unit: Hz

  Type: double

  Bandpass upper cutoff freq. in Hz.

picker.BK.thrshl1

  Default: `10`

  Type: double

  Threshold to trigger for pick (c.f. paper), default 10

picker.BK.thrshl2

  Default: `20`

  Type: double

  Threshold for updating sigma (c.f. paper), default 20

Note

spicker.* Parameters controlling the secondary picker. Example: for picking S phases.

Note

spicker.L2.* L2 is an algorithm to pick S-phases based on existing P-phases. It works by creating the L2 norm of the two filtered horizontal components and then running the `detecFilter` on the L2 trace to find the S pick. Finally AIC is applied around the detected pick time to refine the detection. The picker name to be used in configuration files is “S-L2”.

spicker.L2.noiseBegin

  Default: `-10`

  Unit: s

  Type: double

  Override the relative data processing start time (relative to the triggering pick). This adds a margin to the actual processing and is useful to initialize the filter (Example: bandpass). The data is not used at all until signalBegin is reached. The data time window start is the minimum of noiseBegin and signalBegin.

spicker.L2.signalBegin

  Default: `0`

  Unit: s

  Type: double

  Override the relative start time (relative to the triggering pick) of the begin of the signal processing.

spicker.L2.signalEnd

  Default: `60`

  Unit: s

  Type: double

  Override the relative end time (relative to the triggering pick) of the end of the signal window used to pick.

spicker.L2.filter

  Default: `BW(4,0.3,1.0)`

  Type: string

  Configure the filter used to process the horizontal components traces before computing the L2-norm.

spicker.L2.detecFilter

  Default: `STALTA(1,10)`

  Type: string

  Configure the detector filter applied on the filtered L2 trace.

spicker.L2.threshold

  Default: `3`

  Type: double

  The detector threshold that triggers the AIC picker.

spicker.L2.timeCorr

  Default: `0`

  Unit: s

  Type: double

  The time correction added to the detection time before AIC time window is computed.

spicker.L2.marginAIC

  Default: `5`

  Unit: s

  Type: double

  The AIC time window around the detection used to pick. If 0, AIC is not used.

spicker.L2.minSNR

  Default: `15`

  Type: double

  Minimum SNR as returned from AIC for accepting picks.

Note

spicker.V.* This S-picker works similarly to L2 but it only uses the vertical component to pick S-phases. The picker name to be used in configuration files is “S-V”.

spicker.V.noiseBegin

  Default: `-10`

  Unit: s

  Type: double

  Override the relative data processing start time (relative to the triggering pick). This adds a margin to the actual processing and is useful to initialize the filter (Example: bandpass). The data is not used at all until signalBegin is reached. The data time window start is the minimum of noiseBegin and signalBegin.

spicker.V.signalBegin

  Default: `0`

  Unit: s

  Type: double

  Override the relative start time (relative to the triggering pick) of the begin of the signal processing.

spicker.V.signalEnd

  Default: `60`

  Unit: s

  Type: double

  Override the relative end time (relative to the triggering pick) of the end of the signal window used to pick.

spicker.V.filter

  Default: `BW(4,0.3,1.0)`

  Type: string

  Configure the filter used to process the raw vertical component data.

spicker.V.detecFilter

  Default: `STALTA(1,10)`

  Type: string

  Configure the detector filter applied on filtered data.

spicker.V.threshold

  Default: `3`

  Type: double

  The detector threshold that triggers the AIC picker.

spicker.V.timeCorr

  Default: `0`

  Unit: s

  Type: double

  The time correction added to the detection time before AIC time window is computed.

spicker.V.marginAIC

  Default: `5`

  Unit: s

  Type: double

  The AIC time window around the detection used to pick. If 0, AIC is not used.

spicker.V.minSNR

  Default: `15`

  Type: double

  Define the mininum SNR as returned from AIC.

## Command-Line Options

### Generic

-h, --help

  Show help message.

-V, --version

  Show version information.

--config-file arg

  Use alternative configuration file. When this option is used the loading of all stages is disabled. Only the given configuration file is parsed and used. To use another name for the configuration create a symbolic link of the application or copy it. Example: scautopick -> scautopick2.

--plugins arg

  Load given plugins.

-D, --daemon

  Run as daemon. This means the application will fork itself and doesn’t need to be started with &.

--auto-shutdown arg

  Enable/disable self-shutdown because a master module shutdown. This only works when messaging is enabled and the master module sends a shutdown message (enabled with --start-stop-msg for the master module).

--shutdown-master-module arg

  Set the name of the master-module used for auto-shutdown. This is the application name of the module actually started. If symlinks are used, then it is the name of the symlinked application.

--shutdown-master-username arg

  Set the name of the master-username of the messaging used for auto-shutdown. If "shutdown-master-module" is given as well, this parameter is ignored.

### Verbose

--verbosity arg

  Verbosity level [0..4]. 0:quiet, 1:error, 2:warning, 3:info, 4:debug.

-v, --v

  Increase verbosity level (may be repeated, eg. -vv).

-q, --quiet

  Quiet mode: no logging output.

--print-component arg

  For each log entry print the component right after the log level. By default the component output is enabled for file output but disabled for console output.

--print-context arg

  For each log entry print the source file name and line number.

--component arg

  Limit the logging to a certain component. This option can be given more than once.

-s, --syslog

  Use syslog logging backend. The output usually goes to /var/lib/messages.

-l, --lockfile arg

  Path to lock file.

--console arg

  Send log output to stdout.

--debug

  Execute in debug mode. Equivalent to --verbosity=4 --console=1 .

--trace

  Execute in trace mode. Equivalent to --verbosity=4 --console=1 --print-component=1 --print-context=1 .

--log-file arg

  Use alternative log file.

### Messaging

-u, --user arg

  Overrides configuration parameter `connection.username`.

-H, --host arg

  Overrides configuration parameter `connection.server`.

-t, --timeout arg

  Overrides configuration parameter `connection.timeout`.

-g, --primary-group arg

  Overrides configuration parameter `connection.primaryGroup`.

-S, --subscribe-group arg

  A group to subscribe to. This option can be given more than once.

--content-type arg

  Overrides configuration parameter `connection.contentType`.

  Default: `binary`

--start-stop-msg arg

  Default: `0`

  Set sending of a start and a stop message.

### Database

--db-driver-list

  List all supported database drivers.

-d, --database arg

  The database connection string, format: service://user:pwd@host/database. "service" is the name of the database driver which can be queried with "--db-driver-list".

--config-module arg

  The config module to use.

--inventory-db arg

  Load the inventory from the given database or file, format: [service://]location .

--config-db arg

  Load the configuration from the given database or file, format: [service://]location .

### Records

--record-driver-list

  List all supported record stream drivers.

-I, --record-url arg

  The RecordStream source URL. Format: [service://]location[#type]. "service" is the name of the RecordStream driver which can be queried with "--record-driver-list". If "service" is not given, "file://" is used and simply the name of a miniSEED file can be given.

--record-file arg

  Specify a file as record source.

--record-type arg

  Specify a type for the records being read.

### Cities

--city-xml arg

  Type: file

  Values: `*.xml`

  The path to the cities XML file. This overrides the default paths. Compare with the global parameter "citiesXML".

### User interface

-F, --full-screen

  Start the application filling the entire screen. This only works with GUI applications.

-N, --non-interactive

  Use non-interactive presentation mode. This only works with GUI applications.